
uniform sampler2D mainMap;


void main(void)
{
	vec2 dx   = vec2 ( 1.0 / 512.0, 0.0 );
	vec2 dy   = vec2 ( 0.0, 1.0 / 512.0 );
	vec4 base = texture2D ( mainMap, gl_TexCoord [0].xy ) +
                texture2D ( mainMap, gl_TexCoord [0].xy + dx ) +
                texture2D ( mainMap, gl_TexCoord [0].xy + dy ) +
                texture2D ( mainMap, gl_TexCoord [0].xy + dx + dy );

	base *= 0.25;

	if ( length ( base.rgb ) < 0.8 )
		base.rgb = vec3 ( 0.0 );

	gl_FragColor = base;
}
